Bug 2141847 - CVE-2022-45060 varnish: Request Forgery Vulnerability [fedora-all]
Summary: CVE-2022-45060 varnish: Request Forgery Vulnerability [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: varnish
Version: 36
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-45060
TreeView+ depends on / blocked
 
Reported: 2022-11-10 20:53 UTC by Marco Benatto
Modified: 2022-11-28 00:30 UTC (History)
3 users (show)

Fixed In Version: varnish-6.6.2-3.fc35 varnish-6.0-3720221118143100.9e842022 varnish-6.0-3620221118143100.5e5ad4a0 varnish-6.0-3520221118143100.f27b74a8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-26 00:46:16 UTC
Type: ---


Attachments (Terms of Use)

Description Marco Benatto 2022-11-10 20:53:53 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2141844

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marco Benatto 2022-11-10 20:53:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2141844,2141847

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-11-14 08:57:45 UTC
FEDORA-2022-0d5dcc031e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d5dcc031e

Comment 3 Fedora Update System 2022-11-14 19:41:13 UTC
FEDORA-2022-babfbc2622 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-babfbc2622

Comment 4 Fedora Update System 2022-11-15 02:35:12 UTC
FEDORA-2022-0d5dcc031e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0d5dcc031e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d5dcc031e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-11-15 02:36:55 UTC
FEDORA-2022-babfbc2622 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-babfbc2622`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-babfbc2622

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-17 08:30:02 UTC
FEDORA-2022-99c5ddb2ae has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-99c5ddb2ae

Comment 7 Fedora Update System 2022-11-18 01:22:18 UTC
FEDORA-2022-99c5ddb2ae has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-99c5ddb2ae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-99c5ddb2ae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-11-19 23:05:44 UTC
FEDORA-MODULAR-2022-378f767c35 has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-378f767c35

Comment 9 Fedora Update System 2022-11-19 23:05:44 UTC
FEDORA-MODULAR-2022-8b6db600a4 has been submitted as an update to Fedora 37 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-8b6db600a4

Comment 10 Fedora Update System 2022-11-20 01:31:52 UTC
FEDORA-MODULAR-2022-378f767c35 has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-378f767c35

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-11-20 01:41:02 UTC
FEDORA-MODULAR-2022-8b6db600a4 has been pushed to the Fedora 37 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-8b6db600a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-11-20 01:43:03 UTC
FEDORA-MODULAR-2022-c653bdb4c2 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-c653bdb4c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-11-23 01:16:16 UTC
FEDORA-2022-0d5dcc031e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-11-23 01:19:40 UTC
FEDORA-2022-babfbc2622 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-11-26 00:46:16 UTC
FEDORA-2022-99c5ddb2ae has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-11-28 00:19:56 UTC
FEDORA-MODULAR-2022-8b6db600a4 has been pushed to the Fedora 37 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-11-28 00:20:04 UTC
FEDORA-MODULAR-2022-378f767c35 has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-11-28 00:30:46 UTC
FEDORA-MODULAR-2022-c653bdb4c2 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.